package com.bonus.core.pay.common.constants;

public enum PayDealStateEnum {
   SUCC(1, "支付成功"),
   ONLINE_FAIL(2, "在线支付余额不足"),
   OFFLINE_FAIL(3, "离线支付余额不足");

   private final Integer key;
   private final String desc;

   private PayDealStateEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public static String getDesc(Integer key) {
      PayDealStateEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         PayDealStateEnum temp = var1[var3];
         if (temp.getKey().equals(key)) {
            return temp.getDesc();
         }
      }

      return "";
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

}
